Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2005-2251

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2005-2251
Last Modified 05 Sep 2008 04:51:16
Published 13 Jul 2005 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2005-2251

Summary

PHP remote file inclusion vulnerability in secure.php in PHPSecurePages (phpSP) 0.28beta and earlier allows remote attackers to execute arbitrary code via the cfgProgDir parameter, a variant of CVE-2001-1468.

Vulnerable Systems

Application

  • Secure Reality Phpsecurepages 0.11 Beta

  • Secure Reality Phpsecurepages 0.12 Beta

  • Secure Reality Phpsecurepages 0.13 Beta

  • Secure Reality Phpsecurepages 0.14 Beta

  • Secure Reality Phpsecurepages 0.15 Beta

  • Secure Reality Phpsecurepages 0.16 Beta

  • Secure Reality Phpsecurepages 0.17 Beta

  • Secure Reality Phpsecurepages 0.18 Beta

  • Secure Reality Phpsecurepages 0.19 Beta

  • Secure Reality Phpsecurepages 0.20 Beta

  • Secure Reality Phpsecurepages 0.21 Beta

  • Secure Reality Phpsecurepages 0.22 Beta

  • Secure Reality Phpsecurepages 0.23 Beta

  • Secure Reality Phpsecurepages 0.24 Beta

  • Secure Reality Phpsecurepages 0.25 Beta

  • Secure Reality Phpsecurepages 0.26 Beta

  • Secure Reality Phpsecurepages 0.27 Beta

  • Secure Reality Phpsecurepages 0.28 Beta


References

SECTRACK - 1014410

XF - phpsecurepages-secure-file-include(29263)

BID - 14201

MILW0RM - 2452

SECUNIA - 15994


Last Updated: 27 May 2016 10:40:27